3.0 documentation

Latest Stable Version Total Downloads MIT License

Imagine (Wrapper) Component is a Laravel 5 package wrapper for Imagine.

Version Compatibility

Laravel Imagine
4.0.x 2.0.x
4.1.x 2.1.x
4.2.x 2.2.x
5.0.x 3.0.x


To install through composer, simply put the following in your composer.json file:

    "require": {
        "orchestra/imagine": "~3.0"

And then run composer install from the terminal.

Quick Installation

Above installation can also be simplify by using the following command:

composer require "orchestra/imagine=~3.0"


Add Orchestra\Imagine\ImagineServiceProvider service provider in config/app.php.

'providers' => [

    // ...



Add Orchestra\Imagine\Facade facade alias in config/app.php.

'aliases' => [

    // ...

    'Imagine' => 'Orchestra\Imagine\Facade',


Here a simple example how to create a thumbnail from an image:


use Imagine\Image\Box;
use Imagine\Image\ImageInterface;

function create_thumbnail($path, $filename, $extension)
    $width  = 320;
    $height = 320;
    $mode   = ImageInterface::THUMBNAIL_OUTBOUND;
    $size   = new Box($width, $height);

    $thumbnail   = Imagine::open("{$path}/{$filename}.{$extension}")->thumbnail($size, $mode);
    $destination = "{$filename}.thumb.{$extension}";